Reference documentation and code samples for the Google Cloud Gemini Data Analytics V1 Client class QueryParameterValues.
A query parameter values message represents the values for the query parameters that were extracted from the user question by LLM, based on the example query.
Generated from protobuf message google.cloud.geminidataanalytics.v1.QueryParameterValues
Namespace
Google \ Cloud \ GeminiDataAnalytics \ V1Methods
__construct
Constructor.
| Parameters | |
|---|---|
| Name | Description |
data |
array
Optional. Data for populating the Message object. |
↳ name |
string
Required. The name of the parameter. |
↳ value |
string
Required. The value of the parameter. |
getName
Required. The name of the parameter.
| Returns | |
|---|---|
| Type | Description |
string |
|
setName
Required. The name of the parameter.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getValue
Required. The value of the parameter.
| Returns | |
|---|---|
| Type | Description |
string |
|
setValue
Required. The value of the parameter.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|